Get Text Scan Graph
curl --request GET \
--url https://api.example.com/api/scans/{scan_id}/text-graph \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/scans/{scan_id}/text-graph"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/scans/{scan_id}/text-graph', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scan_id": "<string>",
"dataset_id": "<string>",
"nodes": [
{
"id": "<string>",
"reference": "<string>",
"document_key": "<string>",
"x": 123,
"y": 123,
"issue_type": "<string>",
"issue_label": "<string>",
"severity": "<string>",
"document_title": "<string>",
"paragraph_index": 123,
"is_off_topic": false,
"is_interaction_issue": false,
"is_issue": false,
"given_label": "<string>",
"predicted_label": "<string>",
"preview_url": "<string>",
"primary_result_id": "<string>",
"matched_result_ids": [
"<string>"
],
"matched_result_count": 0,
"description": "<string>",
"text_snippet": "<string>",
"sample_findings": [
{
"result_id": "<string>",
"severity": "<string>",
"vulnerability_type": "<string>",
"description": "<string>",
"text_snippet": "<string>",
"preview_url": "<string>"
}
]
}
],
"edges": [
{
"id": "<string>",
"source": "<string>",
"target": "<string>",
"weight": 123
}
],
"topics": [
{
"id": "<string>",
"label": "<string>",
"center_x": 123,
"center_y": 123,
"chunk_ids": [
"<string>"
],
"is_off_topic": false,
"off_topic_count": 0,
"mentions": [
"<string>"
]
}
],
"documents": [
{
"key": "<string>",
"title": "<string>",
"chunk_ids": [
"<string>"
],
"topic_ids": [
"<string>"
],
"off_topic_count": 0
}
],
"document_topic_edges": [
{
"id": "<string>",
"document_key": "<string>",
"topic_id": "<string>",
"shared_chunk_count": 0,
"weight": 0
}
],
"stats": {
"total_nodes": 0,
"total_edges": 0,
"off_topic_nodes": 0,
"interaction_flagged_nodes": 0,
"flagged_nodes": 0,
"topic_nodes": 0,
"topic_clusters": 0,
"document_count": 0
},
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}api
Get Text Scan Graph
GET
/
api
/
scans
/
{scan_id}
/
text-graph
Get Text Scan Graph
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Query Parameters
Required range:
8 <= x <= 2000Required range:
1 <= x <= 12Required range:
1 <= x <= 100Required range:
1 <= x <= 100Required range:
1 <= x <= 20Cookies
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

